<bugID>881219<Summary>When filtering sources, hiding items in the sources list is redundant</Summary><Description>Created attachment 760351
screenshot

While filtering files, as you type, a completion popup displaying all the matched sources is shown. At the same time, unmatched entries in the sources list on the left are hidden. This creates a redundant scenario in which matched sources are displayed in two places at the same time.

Example (STR):
1. Open debugger on http://todomvc.com/architecture-examples/backbone/
2. Type "to" in the filter box (without quotes)

Result: 4 matched files are shown both in the popup and the sources list.</Description></bugID>